<?php

namespace Glmdev\Meta;

use Glmdev\Meta\Contracts\MetaContract;
use Illuminate\Support\ServiceProvider;

class MetaServiceProvider extends ServiceProvider
{
    /**
     * Indicates if loading of the provider is deferred.
     *
     * @var bool
     */
    protected $defer = false;
    
    /**
     * Register the custom Artisan commands.
     */
    protected $commands = [
        '\Glmdev\Meta\Commands\MetaMigrationCommand',
        '\Glmdev\Meta\Commands\MetaModelCommand',
    ];
    
    public function boot(){}
    
    /**
     * Register any package services.
     *
     * @return void
     */
    public function register()
    {
        // alias the Meta class for easy access
        $loader = \Illuminate\Foundation\AliasLoader::getInstance();
        $loader->alias('Meta', 'Glmdev\Meta\Meta');
        
        // register the Artisan commands
        $this->commands($this->commands);
    }
}
